/*
 * Copyright 2011-2012 OAuthX
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#import <Foundation/Foundation.h>
#import "OAuthX.h"

@protocol ImportOperationDelegate;

@interface ImportOperation : NSOperation {
    NSInteger totalAttempted;
    NSInteger totalImported;
}

@property(nonatomic, assign) id <ImportOperationDelegate> delegate;

@property(nonatomic, readonly) NSInteger totalAttempted;
@property(nonatomic, readonly) NSInteger totalImported;

- (void) deleteContacts;
- (NSPredicate *)contactsPredicate;
- (void) importContacts;

- (void) beginImportOperation;
- (void) updatewithProgress: (float) progress;
- (void) finishImportOperation;
- (void) failImportOperation;

@end

@protocol ImportOperationDelegate<NSObject>

- (void) didBeginImportOperation;
- (void) isPerformingImportOperationWithProgress:(NSDecimalNumber*) progress;
- (void) didFinishImportOperation;
- (void) didFailImportOperation;

@end
